LineNity WP Premium Theme Local File Inclusion Vulnerability

2015-11-18T00:00:00
ID 1337DAY-ID-24579
Type zdt
Reporter Sajjad Sotoudeh
Modified 2015-11-18T00:00:00

Description

LineNity WP premium theme suffers from a local file inclusion vulnerability.

                                        
                                            Document Title:
===============
LineNity WP Premium Theme - File Include Vulnerability

Product & Service Introduction:
===============================
Linenity wordpress theme is a that features a clean and flexible design which suitable for wide variety of websites. Linenity wp theme includes a huge 
theme control panel that help user to develop or customize the theme. It also includes different kind of homepage style, widget, footer, post type, 
shortcode and many others. Linenity also Cross-Browser and Responsive theme, has clean style and well-documented.

(Copy of the Homepage: http://themeforest.net/item/linenity-clean-responsive-wordpress-magazine/4417803 )

Affected Product(s):
====================
Wordpress Premium Themes
Product: LineNity - (WordPress Responsive Magazine Theme) 1.20

Technical Details & Description:
================================
A local file include web vulnerability has been discovered  in the official WordPress LineNity Premium Theme in 2015Q4.
The local file include web vulnerability allows remote attackers to unauthorized include local file/path requests or system 
specific path commands to compromise the web-application.

The web vulnerability is located in the `imgurl` value of the `download.php` file. Remote attackers are able to inject own files with malicious 
`imgurl` value in the `download.php` file GET method request to compromise the web-application. The local file/path include execution occcurs in 
the download.php. The request method to inject is GET and the attack vector is located on the client-side of the wordpress theme web-application.

The security risk of the local file include vulnerability is estimated as high with a cvss (common vulnerability scoring system) count of 6.8. 
Exploitation of the file include web vulnerability requires no user interaction and no privileged web-application user account. 
Successful exploitation of the local file include vulnerability results in web-application, dbms and connected account system -compromise.

Request Method(s):
        [+] [GET]

Vulnerable Module(s):
        [+] ./wp-content/themes/linenity/functions/

Vulnerable File(s):
        [+] download.php

Vulnerable Parameter(s):
        [+] imgurl


Proof of Concept (PoC):
=======================
The file include web vulnerability can be exploited by remote attackers with low privilege web-application user account and without user interaction.
For security demonstration or to reproduce the vulnerability follow the provided information and steps below to continue.


Google Dork(s): 
index of: /wp-content/themes/linenity

Exploit: 
http://localhost:8080/wp-content/themes/linenity/functions/download.php?imgurl=[ Local File Inclusion ]

PoC: 
http://localhost:8080/wp-content/themes/linenity/functions/download.php?imgurl=../../../../index.php
http://localhost:8080/wordpress/wp-content/themes/linenity/functions/download.php?imgurl=../../../../../../../../../../../../../../../etc/passwd


Solution - Fix & Patch:
=======================
The vulnerability can be patched by a secure restriction of the requested path value in the imgurl value of the vulnerable download.php file.
Restrict the requests by a whitelist of accessable web-server path.

#  0day.today [2018-02-09]  #